#!/usr/bin/env python
# encoding=utf-8
#
# GridView
# (c) Alex Eftimie

import gtk

class GridView:
	def __init__(self):
		pass
		
	def draw(self, mainw, area):
		bw, bh = 30,15		# border
		width, height = area.window.get_size()
		gw, gh = mainw.gridsize
		pw, ph = (width-bw)/gw, (height - bh)/gh
		colormap = area.get_colormap()
		font = (mainw.window.get_style()).get_font()
		gc = area.get_style().fg_gc[gtk.STATE_NORMAL]
		gc.foreground = colormap.alloc_color(65000, 65000, 65000)
		#area.window.draw_rectangle(gc, True, bw, bh, width-bw, height-bh)
		
		# desenez marginea matricii
		gc.foreground = colormap.alloc_color(0, 0, 0)
		for i in range(0,gw):
			area.window.draw_string(font, gc, bw + i * pw + pw/2, 10, "%c" % (65+i))
					
		for i in range(0,gh):
			area.window.draw_string(font, gc, 0, bh + 5 + i * ph + ph/2, "%d" % ((i+1)*100))
		
		# iterez prin mainw.matrix
		for i in range(0,gh):
			for j in range(0,gw):
				if mainw.matrix[i][j] == True:
					gc.foreground = colormap.alloc_color(40000,4000,4000)
					area.window.draw_rectangle(gc, True, bw + j * pw, bh + i * ph, pw - 1 , ph - 1 )
				else:
					gc.foreground = colormap.alloc_color(50000, 50000, 51000)
					area.window.draw_rectangle(gc, True, bw + j * pw, bh + i * ph, pw - 1 , ph - 1 )
					#print "aici %d, %d" % (i, j), j*pw, i*ph, j*pw + pw, i*ph + ph
					
		# refac negru ca si culoare de desenare
		gc.foreground = colormap.alloc_color(0, 0, 0)

