#!/usr/bin/env python
# encoding=utf-8
#
# Networking
# (c) Alex Eftimie

import socket
import network
import time

BUFFER_SIZE = 100

# TCP stub
stcp = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
stcp.bind((network.SERVER, network.SERVER_PORT))
stcp.listen(1)

i = 0
while True:
	i = i + 1
	conn, addr = stcp.accept()
	uname = conn.recv(1024)
	# trimit un raspuns ok (l - login, y - yes)
	conn.send("l:y:%d" % i)
	print "Received conection from %s, %s" % (uname, addr)

	name = uname.split(":")[1]
	
	time.sleep(2)
	print "Starting udp broadcaster"
	s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
	s.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
	s.setsockopt(socket.SOL_SOCKET, socket.SO_BROADCAST, 1)
	# Trimit mesaj de inceput de joc (s - start)
	s.sendto("s:6:6:1:%d,%s" % (i, name), (network.HOST, network.PORT))
	# Question
	time.sleep(2)
	s.sendto("q:1:3:1:%d,110:%d Ce mai faci?" % (i, i), (network.HOST, network.PORT))
	
	# Question
	time.sleep(2)
	s.sendto("q:1:1:1:%d,200:%d Fara numar?" % (i, i), (network.HOST, network.PORT))
	
	# Astept mesaj de apasare de buton
	msg = conn.recv(1)
	if msg == "b":
		# Trimit mesaj de freeze
		time.sleep(1)
		s.sendto("f", (network.HOST, network.PORT))
		
	time.sleep(5)	
	# Inchid threadul :-j
	s.sendto("quit", (network.HOST, network.PORT))
	s.close()

stcp.close()
